---
page_source: https://juspay.io/br/docs/hypercheckout-global/web/base-sdk-integration/payment-methods
page_title: Payment Methods
---

## API Version: default


# Payment Methods



Gives list of all the payment methods available for your account.## Endpoints:
- Sandbox:  https://api.sandbox.juspay.io/merchants/{merchant_id}/paymentmethods

- Production: https://api.juspay.io/merchants/{merchant_id}/paymentmethods

## Request Type: 
GET

## Content-Type: 
application/json

## Authorization:

#### Basic Auth:
Auth example
- Value: MUQ2QUZEQzhFQTY0OUU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: required
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location 'https://api.juspay.io/merchants/yourMerchantId/paymentmethods' \
--header 'Authorization: Basic OTgwQjzMEZERERCOg=='
```

### Sample Response:

#### Payment Methods:
```plaintext
{
  "merchant_configs": {
      "must_use_given_order_id_for_txn": false
  },
  "outage": [],
  "payment_methods": [
      {
          "description": "PayPal",
          "juspay_bank_code": "JP_PAYPAL",
          "payment_method": "PAYPAL",
          "payment_method_sub_type": "WALLET",
          "payment_method_type": "WALLET"
      },
      {
          "description": "BOLETO",
          "juspay_bank_code": "JP_BOLETO",
          "payment_method": "BOLETO",
          "payment_method_sub_type": "STORE",
          "payment_method_type": "OTC"
      },
      {
          "description": "Test",
          "juspay_bank_code": "JP_DUMMY",
          "payment_method": "DUMMY",
          "payment_method_sub_type": "WALLET",
          "payment_method_type": "WALLET"
      },
      {
          "description": "PIX",
          "payment_method": "PIX",
          "payment_method_type": "RTP"
      },
      {
          "description": "SPEI",
          "payment_method": "SPEI",
          "payment_method_type": "RTP"
      }
  ],
  "restricted_mode": false,
  "timestamp": "2024-11-25T11:26:45.121016153Z",
  "verify_vpa_enabled_gateways": []
}
```

## Query Parameters:

#### options.add_emandate_payment_methods:
To get payment methods supported for EMANDATE transactions.
- Tags: Boolean

#### options.check_wallet_direct_debit_support:
To get the payment methods that supports direct debit.
- Tags: Boolean

#### options.add_supported_reference_ids:
To get the payment methods supported for each gateway reference ID
- Tags: Boolean

#### options.add_tpv_payment_methods:
To get payment methods supported for Third party validation (TPV)
- Tags: Boolean

#### options.add_outage:
To get outages on payment methods. Each payment method has a **`juspay_bank_code`** . By using **`juspay_bank_code`**  as a lookup in the outage array, you can determine whether the payment method has outage or not.

**NOTE:** **** The outage basically functions based on a score at each payment method level. We maintain this score from for all Merchant- Payment method combinations. For each transaction created, we penalise this score by a small amount and if the transaction is successful (CHARGED or AUTHORIZED), then we add to this score so as to reward the Merchant <> Payment method.

We have 2 outage statuses: FLUCTUATE and DOWN and we assign these once the score falls below a certain threshold at our end. There is a soft reset from time to time to check the health where we allow a few transactions to go through, based on which we decide whether the Merchant <> Payment method combination is back UP (no outage being faced).

Apart from this, we reset the overall score at a pre-defined interval as well.These thresholds can be customised based on merchant requirements.
- Tags: Boolean
## API Responses:
